
import java.awt.geom.Point2D;



/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

/*
 * GUI.java
 *
 * Created on 28-Jul-2010, 20:11:10
 */

/**
 *
 * @author Ceud
 */
public class GUI extends javax.swing.JFrame {
    int waitTime = 195;

    /** Creates new form GUI */
    public GUI() {
        initComponents();
    }

    private double normaliseDegrees180(double degree) {
        while (degree > 180) {
            degree -= 180;
        }
        while (degree < 0) {
            degree += 180;
        }
        return degree;
    }

    private void updateTime() {
        this.lblTime.setText("Time: " + waitTime + " seconds");
        updateResults();
    }

    private void updateX1() {
        double tmp = (double) range1.getValue() / 10;
        this.lblX1.setText("X1: " + tmp + "nm, " + RadialControl.normaliseDegrees(RadialControl.class.cast(brg1).value + 90) + "");
        updateResults();
    }

    private void updateX2() {
        double tmp = (double) range2.getValue() / 10;
        this.lblX2.setText("X2: " + tmp + "nm, " + RadialControl.normaliseDegrees(RadialControl.class.cast(brg2).value + 90) + "");
        updateResults();
    }

    private void updateResults() {
        int heading;
        double speed;
        int aob;
        double range;



        //convert to cartesian coordinates
        double tmp1 = (double) range1.getValue();
        double tmp2 = (double) range2.getValue();
        tmp1 = tmp1 / 10;
        tmp2 = tmp2 / 10;

        double tx1 = tmp1 * Math.cos(Math.toRadians(RadialControl.normaliseDegrees(RadialControl.class.cast(brg1).value + 90)));
        double ty1 = tmp1 * Math.sin(Math.toRadians(RadialControl.normaliseDegrees(RadialControl.class.cast(brg1).value + 90)));
        double tx2 = tmp2 * Math.cos(Math.toRadians(RadialControl.normaliseDegrees(RadialControl.class.cast(brg2).value + 90)));
        double ty2 = tmp2 * Math.sin(Math.toRadians(RadialControl.normaliseDegrees(RadialControl.class.cast(brg2).value + 90)));

        Point2D.Double x1 = new Point2D.Double(tx1, ty1);
        Point2D.Double x2 = new Point2D.Double(tx2, ty2);

        //calculate offset of x2 from x1(as origin/0,0)
        Point2D.Double offset = new Point2D.Double(x2.x - x1.x, x2.y - x1.y);

        //calculate r and theta (distance and angle)
        double r = Math.sqrt(offset.x * offset.x + offset.y * offset.y);
        double theta = 0d;
        if (offset.x == 0 && offset.y == 0) { theta = 0d; }
        else if (offset.x >= 0) { theta = Math.toDegrees(Math.asin(offset.y / r)); }
        else if (offset.x < 0) {
            theta = Math.toDegrees(Math.asin(offset.y / r) + Math.PI);

            theta -= theta * 2;
        }
        //double tmpAoB = normaliseDegrees180(-theta + Math.abs(range2.getValue()) + 180);
        //double tmpAoB = -theta + Math.abs(range2.getValue()) + 180;
        double tmpAoB = normaliseDegrees180(180-(180-((180-Math.abs(theta)) + normaliseDegrees180(RadialControl.class.cast(brg2).value + 90))));


        //tmpAoB = 180 - (0 - theta);
        tmpAoB = theta - RadialControl.normaliseDegrees(RadialControl.class.cast(brg2).value + 90) - 180;
        while (tmpAoB < -180) { tmpAoB += 360; }
        while (tmpAoB > 180) { tmpAoB -= 360; }


        while (theta < -180) { theta += 360; }
        while (theta > 180) { theta -= 360; }

        theta = RadialControl.normaliseDegrees(Math.round((int) theta));

        //if aob is positive, on targets port side (left)
        //if aob is negative, on targets starboard side (right)
        String targetSide = "Port";
        if (tmpAoB < 0) {
            tmpAoB = Math.abs(tmpAoB);
            targetSide = "Starboard";
        }


        //if (tmpAoB < -180) { tmpAoB += 360; }
        //else if (tmpAoB > 180) { tmpAoB -= 360; }

        //now to calc speed and range




        //now update relevant labels with results
        lblAoB.setText("<html>Angle on Bow: " + (int) Math.round(tmpAoB) + " " + targetSide +
                "<br>Speed: " + (int) Math.round(r * (3600 / waitTime)) + "knots" +
                "<br>Heading: " + (int) theta + "" +
                "<br>Range: " + tmp2 + "nm");


    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jPanel1 = new javax.swing.JPanel();
        brg1 = new RadialControl(0, 0, 141, 141);
        range1 = new javax.swing.JSlider();
        jPanel2 = new javax.swing.JPanel();
        brg2 = new RadialControl(0, 0, 141, 141);
        range2 = new javax.swing.JSlider();
        jPanel3 = new javax.swing.JPanel();
        TIME180 = new javax.swing.JButton();
        TIME195 = new javax.swing.JButton();
        TIME60 = new javax.swing.JButton();
        TIME150 = new javax.swing.JButton();
        TIME90 = new javax.swing.JButton();
        TIME120 = new javax.swing.JButton();
        jLabel1 = new javax.swing.JLabel();
        jLabel2 = new javax.swing.JLabel();
        jPanel4 = new javax.swing.JPanel();
        lblAoB = new javax.swing.JLabel();
        lblX1 = new javax.swing.JLabel();
        lblX2 = new javax.swing.JLabel();
        lblTime = new javax.swing.JLabel();
        jButton1 = new javax.swing.JButton();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        setTitle("Ceud's AoB Calculator");
        setBounds(new java.awt.Rectangle(0, 0, 141, 141));

        jPanel1.setBorder(javax.swing.BorderFactory.createTitledBorder("1st Bearing & Range"));

        brg1.setToolTipText("<html>Select bearing of target in degrees.<br>\nTake note, 0 degrees is to the right, not the top.");
        brg1.setCursor(new java.awt.Cursor(java.awt.Cursor.CROSSHAIR_CURSOR));
        brg1.setMaximumSize(new java.awt.Dimension(141, 141));
        brg1.setMinimumSize(new java.awt.Dimension(141, 141));
        brg1.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                brg1MouseClicked(evt);
            }
        });
        brg1.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseDragged(java.awt.event.MouseEvent evt) {
                brg1MouseDragged(evt);
            }
        });

        javax.swing.GroupLayout brg1Layout = new javax.swing.GroupLayout(brg1);
        brg1.setLayout(brg1Layout);
        brg1Layout.setHorizontalGroup(
            brg1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGap(0, 141, Short.MAX_VALUE)
        );
        brg1Layout.setVerticalGroup(
            brg1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGap(0, 141, Short.MAX_VALUE)
        );

        range1.setFont(new java.awt.Font("Tahoma", 0, 10));
        range1.setMajorTickSpacing(10);
        range1.setMinorTickSpacing(5);
        range1.setOrientation(javax.swing.JSlider.VERTICAL);
        range1.setPaintLabels(true);
        range1.setPaintTicks(true);
        range1.setToolTipText("<html>Range of target (nm x 10).<br>\nSo, if range was 1.5nm, you would select 15 from range slider.");
        range1.setValue(0);
        range1.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                range1MouseClicked(evt);
            }
        });
        range1.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseDragged(java.awt.event.MouseEvent evt) {
                range1MouseDragged(evt);
            }
        });

        javax.swing.GroupLayout jPanel1Layout = new javax.swing.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(brg1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(range1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(11, Short.MAX_VALUE))
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING, false)
                    .addComponent(range1, javax.swing.GroupLayout.Alignment.LEADING, 0, 0, Short.MAX_VALUE)
                    .addComponent(brg1, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        jPanel2.setBorder(javax.swing.BorderFactory.createTitledBorder("2nd Bearing & Range"));

        brg2.setToolTipText("<html>Select bearing of target in degrees.<br>\nTake note, 0 degrees is to the right, not the top.");
        brg2.setCursor(new java.awt.Cursor(java.awt.Cursor.CROSSHAIR_CURSOR));
        brg2.setMaximumSize(new java.awt.Dimension(141, 141));
        brg2.setMinimumSize(new java.awt.Dimension(141, 141));
        brg2.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                brg2MouseClicked(evt);
            }
        });
        brg2.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseDragged(java.awt.event.MouseEvent evt) {
                brg2MouseDragged(evt);
            }
        });

        javax.swing.GroupLayout brg2Layout = new javax.swing.GroupLayout(brg2);
        brg2.setLayout(brg2Layout);
        brg2Layout.setHorizontalGroup(
            brg2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGap(0, 141, Short.MAX_VALUE)
        );
        brg2Layout.setVerticalGroup(
            brg2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGap(0, 141, Short.MAX_VALUE)
        );

        range2.setFont(new java.awt.Font("Tahoma", 0, 10));
        range2.setMajorTickSpacing(10);
        range2.setMinorTickSpacing(5);
        range2.setOrientation(javax.swing.JSlider.VERTICAL);
        range2.setPaintLabels(true);
        range2.setPaintTicks(true);
        range2.setToolTipText("<html>Range of target (nm x 10).<br>\nSo, if range was 1.5nm, you would select 15 from range slider.");
        range2.setValue(0);
        range2.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                range2MouseClicked(evt);
            }
        });
        range2.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseDragged(java.awt.event.MouseEvent evt) {
                range2MouseDragged(evt);
            }
        });

        javax.swing.GroupLayout jPanel2Layout = new javax.swing.GroupLayout(jPanel2);
        jPanel2.setLayout(jPanel2Layout);
        jPanel2Layout.setHorizontalGroup(
            jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel2Layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(brg2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(range2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(11, Short.MAX_VALUE))
        );
        jPanel2Layout.setVerticalGroup(
            jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel2Layout.createSequentialGroup()
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING, false)
                    .addComponent(range2, javax.swing.GroupLayout.Alignment.LEADING, 0, 0, Short.MAX_VALUE)
                    .addComponent(brg2, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        jPanel3.setBorder(javax.swing.BorderFactory.createTitledBorder("Time between plots"));

        TIME180.setText("3:00");
        TIME180.setToolTipText("3 minutes exactly");
        TIME180.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                TIME180ActionPerformed(evt);
            }
        });

        TIME195.setText("3:15");
        TIME195.setToolTipText("3 minutes 15 seconds");
        TIME195.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                TIME195ActionPerformed(evt);
            }
        });

        TIME60.setText("1:00");
        TIME60.setToolTipText("1 minute exactly");
        TIME60.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                TIME60ActionPerformed(evt);
            }
        });

        TIME150.setText("2:30");
        TIME150.setToolTipText("2 minutes 30 seconds");
        TIME150.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                TIME150ActionPerformed(evt);
            }
        });

        TIME90.setText("1:30");
        TIME90.setToolTipText("1 minute and 30 seconds");
        TIME90.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                TIME90ActionPerformed(evt);
            }
        });

        TIME120.setText("2:00");
        TIME120.setToolTipText("2 minutes exactly");
        TIME120.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                TIME120ActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout jPanel3Layout = new javax.swing.GroupLayout(jPanel3);
        jPanel3.setLayout(jPanel3Layout);
        jPanel3Layout.setHorizontalGroup(
            jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel3Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                    .addComponent(TIME180, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addComponent(TIME120, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addComponent(TIME60, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                .addGroup(jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                        .addGroup(jPanel3Layout.createSequentialGroup()
                            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                            .addComponent(TIME90))
                        .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel3Layout.createSequentialGroup()
                            .addGap(10, 10, 10)
                            .addComponent(TIME150)))
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel3Layout.createSequentialGroup()
                        .addGap(10, 10, 10)
                        .addComponent(TIME195)))
                .addContainerGap())
        );
        jPanel3Layout.setVerticalGroup(
            jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel3Layout.createSequentialGroup()
                .addGroup(jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(TIME60)
                    .addComponent(TIME90))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(TIME120)
                    .addComponent(TIME150))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(TIME180)
                    .addComponent(TIME195))
                .addContainerGap())
        );

        jLabel1.setFont(new java.awt.Font("Tahoma", 3, 11));
        jLabel1.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel1.setText("by Craig 'Ceud' Allan, 2010");

        jLabel2.setFont(new java.awt.Font("Tahoma", 1, 10));
        jLabel2.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel2.setText("ceud@yahoo.com");

        jPanel4.setBorder(javax.swing.BorderFactory.createTitledBorder("Results"));

        lblAoB.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        lblAoB.setText("AoB (X2): 0");
        lblAoB.setVerticalAlignment(javax.swing.SwingConstants.TOP);

        javax.swing.GroupLayout jPanel4Layout = new javax.swing.GroupLayout(jPanel4);
        jPanel4.setLayout(jPanel4Layout);
        jPanel4Layout.setHorizontalGroup(
            jPanel4Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel4Layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(lblAoB, javax.swing.GroupLayout.DEFAULT_SIZE, 428, Short.MAX_VALUE)
                .addContainerGap())
        );
        jPanel4Layout.setVerticalGroup(
            jPanel4Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel4Layout.createSequentialGroup()
                .addComponent(lblAoB, javax.swing.GroupLayout.DEFAULT_SIZE, 97, Short.MAX_VALUE)
                .addContainerGap())
        );

        lblX1.setText("X1: 0.0nm, 90");

        lblX2.setText("X2: 0.0nm, 90");

        lblTime.setText("Time: 195 seconds");

        jButton1.setFont(new java.awt.Font("Tahoma", 1, 14));
        jButton1.setText("EXIT");
        jButton1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton1ActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addComponent(jPanel4, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addGroup(javax.swing.GroupLayout.Alignment.LEADING, layout.createSequentialGroup()
                        .addComponent(jPanel1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jPanel2, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addComponent(jLabel1, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, 156, Short.MAX_VALUE)
                    .addComponent(jPanel3, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addComponent(jLabel2, javax.swing.GroupLayout.DEFAULT_SIZE, 156, Short.MAX_VALUE)
                    .addComponent(lblX2, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, 156, Short.MAX_VALUE)
                    .addComponent(lblX1, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, 156, Short.MAX_VALUE)
                    .addComponent(lblTime, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, 156, Short.MAX_VALUE)
                    .addComponent(jButton1, javax.swing.GroupLayout.DEFAULT_SIZE, 156, Short.MAX_VALUE))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING, false)
                    .addComponent(jPanel1, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addComponent(jPanel2, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addGroup(javax.swing.GroupLayout.Alignment.LEADING, layout.createSequentialGroup()
                        .addComponent(jPanel3, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel1)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel2)))
                .addGap(18, 18, 18)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                    .addComponent(jPanel4, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addGroup(layout.createSequentialGroup()
                        .addComponent(lblX1)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(lblX2)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(lblTime)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addComponent(jButton1, javax.swing.GroupLayout.PREFERRED_SIZE, 43, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap())
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void TIME60ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_TIME60ActionPerformed
        // TODO add your handling code here:
        waitTime = 60;
        updateTime();
    }//GEN-LAST:event_TIME60ActionPerformed

    private void TIME150ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_TIME150ActionPerformed
        // TODO add your handling code here:
        waitTime = 150;
        updateTime();
    }//GEN-LAST:event_TIME150ActionPerformed

    private void TIME90ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_TIME90ActionPerformed
        // TODO add your handling code here:
        waitTime = 90;
        updateTime();
    }//GEN-LAST:event_TIME90ActionPerformed

    private void TIME120ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_TIME120ActionPerformed
        // TODO add your handling code here:
        waitTime = 120;
        updateTime();
    }//GEN-LAST:event_TIME120ActionPerformed

    private void TIME180ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_TIME180ActionPerformed
        // TODO add your handling code here:
        waitTime = 180;
        updateTime();
    }//GEN-LAST:event_TIME180ActionPerformed

    private void TIME195ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_TIME195ActionPerformed
        // TODO add your handling code here:
        waitTime = 195;
        updateTime();
    }//GEN-LAST:event_TIME195ActionPerformed

    private void brg1MouseDragged(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_brg1MouseDragged
        // TODO add your handling code here:
        updateX1();
    }//GEN-LAST:event_brg1MouseDragged

    private void brg1MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_brg1MouseClicked
        // TODO add your handling code here:
        updateX1();
    }//GEN-LAST:event_brg1MouseClicked

    private void brg2MouseDragged(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_brg2MouseDragged
        // TODO add your handling code here:
        updateX2();
    }//GEN-LAST:event_brg2MouseDragged

    private void brg2MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_brg2MouseClicked
        // TODO add your handling code here:
        updateX2();
    }//GEN-LAST:event_brg2MouseClicked

    private void range1MouseDragged(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_range1MouseDragged
        // TODO add your handling code here:
        updateX1();
    }//GEN-LAST:event_range1MouseDragged

    private void range1MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_range1MouseClicked
        // TODO add your handling code here:
        updateX1();
    }//GEN-LAST:event_range1MouseClicked

    private void range2MouseDragged(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_range2MouseDragged
        // TODO add your handling code here:
        updateX2();
    }//GEN-LAST:event_range2MouseDragged

    private void range2MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_range2MouseClicked
        // TODO add your handling code here:
        updateX2();
    }//GEN-LAST:event_range2MouseClicked

    private void jButton1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton1ActionPerformed
        // TODO add your handling code here:
        System.exit(0);
    }//GEN-LAST:event_jButton1ActionPerformed

    /**
    * @param args the command line arguments
    */
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new GUI().setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton TIME120;
    private javax.swing.JButton TIME150;
    private javax.swing.JButton TIME180;
    private javax.swing.JButton TIME195;
    private javax.swing.JButton TIME60;
    private javax.swing.JButton TIME90;
    private javax.swing.JPanel brg1;
    private javax.swing.JPanel brg2;
    private javax.swing.JButton jButton1;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JPanel jPanel2;
    private javax.swing.JPanel jPanel3;
    private javax.swing.JPanel jPanel4;
    private javax.swing.JLabel lblAoB;
    private javax.swing.JLabel lblTime;
    private javax.swing.JLabel lblX1;
    private javax.swing.JLabel lblX2;
    private javax.swing.JSlider range1;
    private javax.swing.JSlider range2;
    // End of variables declaration//GEN-END:variables

}
